Skip to content
You are offline. Some features may be unavailable.

Clients

Clients represent the people or companies you invoice and send contracts to. All client data is scoped to your business.

Endpoints

GEThttps://api.tryesperworks.com/api/v1/clientsclients:read

List all clients. Supports ?search=, ?per_page=.

GEThttps://api.tryesperworks.com/api/v1/clients/:idclients:read

Retrieve a single client.

POSThttps://api.tryesperworks.com/api/v1/clientsclients:write

Create a new client.

PATCHhttps://api.tryesperworks.com/api/v1/clients/:idclients:write

Update a client's details.

DELETEhttps://api.tryesperworks.com/api/v1/clients/:idclients:write

Delete a client.

Create a client

curl -X POST https://api.tryesperworks.com/api/v1/clients \
  -H "Authorization: Bearer ew_live_xxxx" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Kofi Mensah",
    "email": "kofi@example.com",
    "phone": "+233244000000",
    "company": "Acme Ltd"
  }'

Response

{
  "client": {
    "id": 42,
    "name": "Kofi Mensah",
    "email": "kofi@example.com",
    "phone": "+233244000000",
    "company": "Acme Ltd",
    "address": null,
    "created_at": "2026-05-01T12:00:00Z"
  }
}

Client object

FieldTypeDescription
idintegerUnique client ID.
namestringFull name. Required.
emailstringEmail address. Required. Must be unique per business.
phonestringPhone number. Optional.
companystringCompany name. Optional.
addressstringMailing address. Optional.
created_atstringISO 8601 timestamp.